--- title: "List all Sites with their health status." slug: "list-all-sites-with-their-health-status-1" updated: 2026-03-02T22:30:52Z published: 2026-03-02T22:35:48Z canonical: "support.appgate.com/list-all-sites-with-their-health-status-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://support.appgate.com/llms.txt > Use this file to discover all available pages before exploring further. # List all Sites with their health status. Get/sites/status List all Sites with their health status visible to current user. This API is significantly slower than the regular sites API. SecurityHTTPType bearer Query parametersquerystring Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific. rangestring 'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.' Example0-10 orderBystring The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type. Examplename descendingstring Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type. filterBy Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion. object property*string additionalProperties Example{ "name": "us-east", "tags": "aws" } Responses200 List of Sites with their health status. Expand Allobject rangestring The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned. Example0-30/54 orderBystring The field name used to sort the list. Examplename descendingboolean Whether the sorting is applied descending or ascending. queries Array of string The queries applied to the list. string totalCountinteger The total readable count of entities. Not influenced by the query. Example328 filterBy Array of object (FilterBy) The filters applied to the list. object namestring The field name the filter is applied to. Examplename valuestring The value used for comparison. ExampleAWS data Array of object (SiteWithStatus) List of Sites with their health status. object idstring (uuid) ID of the object. Example4c07bc67-57ea-42dd-b702-c2d6c45419fc namestring Name of the object. Exampleobject notesstring Notes for the object. Used for documentation purposes. ExampleThis object has been created for test purposes. createdstring (date-time) Create date. updatedstring (date-time) Last update date. tags Array of string Array of tags. Example[ "developer", "api-created" ]string descriptionstring Description of the Site to be displayed on the Client. ExampleGives access to Azure endpoints. geolocationobject Geolocation of the Site. latitudenumber longitudenumber networkSubnets Array of string Network subnets in CIDR format to define the Site's boundaries. They are added as routes by the Client. Comments are supported with "#" delimiter. string Example10.0.0.0/16#comment fallbackSitestring (uuid) When the Client fails to connect to the Site for a certain period of time, configured Entitlements (see Policy) will be moved to this "Fallback" Site. Example4c07bc67-57ea-42dd-b702-c2d6c45419fc localSiteDetectionobject Local Site Detection feature settings. enabledboolean Enables the Local Site Detection feature. Defaultfalse publicIps Array of string The public IPs or the CIDRs of the clients that will be considered local to this Site. Those clients will connect to Gateways with the configured local hostname and local weights in Appliance configuration. string Example200.200.200.200 useForNearestSiteSelectionboolean If enabled, this Site will be included in the nearest Site override selection in Policies. ipPoolMappings Array of object List of IP Pool mappings for this specific Site. When IPs are allocated this Site, they will be mapped to a new one using this setting. object fromstring (uuid) IP Pool ID to map from. If a user is authorizing with this IP Pool via Identity Provider assignment and has access to this Site, mapping will occur for that user. Example4c07bc67-57ea-42dd-b702-c2d6c45419fc tostring (uuid) IP Pool ID to map to. Example8c07bc67-5711-42dd-b702-c2d6c45419f8 typestring Mapping type. Valid values[ "Translation", "Allocation" ]Default"Translation" defaultGatewayobject Default Gateway configuration. enabledV4boolean When enabled, the Client uses this Site as the Default Default for all IPV4 traffic. Defaultfalse enabledV6boolean When enabled, the Client uses this Site as the Default Default for all IPv6 traffic. Defaultfalse excludedSubnets Array of string Network subnets to exclude when Default Gateway is enabled. The traffic for these subnets will not go through the Gateway in this Site. Comments are supported with "#" delimiter. string Example10.0.10.0/24#comment entitlementBasedRoutingboolean When enabled, the routes are sent to the Client by the Gateways according to the user's Entitlements "networkSubnets" should be left be empty if it's enabled. Defaultfalse vpnobject VPN configuration for this Site. snatboolean Source NAT. Defaultfalse tlsobject VPN over TLS protocol configuration. enabledboolean Defaulttrue versionstring TLS version. Valid values[ "TLSv1.2", "TLSv1.3", "TLSv23" ]Default"TLSv1.3" dtlsobject Deprecated Deprecated as of 6.6. VPN over DTLS protocol configuration. enabledboolean Defaultfalse quicobject VPN over QUIC protocol configuration. enabledboolean Defaultfalse routeViaobject Override routing for tunnel traffic. ipv4string IPv4 address for routing tunnel traffic. Example10.0.0.2 ipv6string IPv6 address for routing tunnel traffic. Example2001:db8:0:0:0:ff00:42:8329 urlAccessEnabledboolean Whether to enable URL Access feature or not. urlAccessP12s Array of object P12 files for proxying traffic for URL Access feature. object idstring (uuid) Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty. subjectNamestring Subject name of the certificate in the file. verifyUpstreamboolean Gateway will verify upstream certificate of the endpoints. Defaulttrue ipAccessLogIntervalSecondsnumber Frequency configuration for generating IP Access audit logs for a connection. Default120.0 logNatIpAndNatPortboolean Whether to log NAT traffic or not. Defaultfalse nameResolutionobject Settings for asset name resolution. useHostsFileboolean Name resolution to use Appliance's /etc/hosts file. Defaultfalse dnsResolvers Array of object Resolver to resolve hostnames using DNS servers. If there are no DNS Resolvers with empty match domains, one will be added automatically. object namestring Identifier name. Has no functional effect. ExampleDNS Resolver 1 updateIntervalinteger How often will the resolver poll the server. In seconds. Default60 queryAAAAboolean Perform AAAA lookups. Defaultfalse zonesTransfersboolean Perform zones transfer. Defaultfalse defaultTtlSecondsinteger Deprecated Deprecated as of 6.4. This will apply whenever Gateway gets a DNS response which has no TTL set. Default300 servers Array of string DNS Server addresses that will be used to resolve hostnames within the Site. Leave it empty to use the Gateways' own DNS configuration. string Example10.0.0.2 matchDomains Array of string The DNS resolver will only attempt to resolve names matching the match domains. If match domains are not specified the DNS resolver will attempt to resolve all hostnames. string Examplecompany.com autoClientDnsboolean This will configure Client machines' DNS according to this resolver if the Client connects to this Site. awsResolvers Array of object Resolvers to resolve Amazon machines by querying Amazon Web Services. object namestring Identifier name. Has no functional effect. ExampleAWS Resolver 1 updateIntervalinteger How often will the resolver poll the server. In seconds. Default60 vpcs Array of string VPC IDs to resolve names. string vpcAutoDiscoveryboolean Use VPC auto discovery. regions Array of string Amazon regions. string Exampleeu-west-2 useIAMRoleboolean Uses the built-in IAM role in AWS instances to authenticate against the API. accessKeyIdstring ID of the access key. httpsProxystring Proxy address to use while communicating with AWS. format: https://username:password@ip/hostname:port resolveWithMasterCredentialsboolean Use master credentials to resolve names in addition to any assumed roles. partitionstring What AWS partition to use such as 'aws-cn' or 'aws-us-gov' Default"aws" ec2boolean Resolve EC2 resources. Defaulttrue apiGatewayboolean Resolve API Gateway resources. Defaultfalse eksboolean Resolve EKS resources. Defaultfalse rdsboolean Resolve RDS resources. Defaultfalse assumedRoles Array of object Roles to be assumed to perform AWS name resolution. object accountIdstring AWS account ID. roleNamestring AWS role name externalIdstring AWS role external id. regions Array of string AWS regions. string azureResolvers Array of object Resolvers to resolve Azure machines by querying Azure App Service. object namestring Identifier name. Has no functional effect. updateIntervalinteger How often will the resolver poll the server. In seconds. Default60 useManagedIdentitiesboolean Uses the built-in Managed Identities in Azure instances to authenticate against the API. Defaultfalse tenantIdstring Azure tenant id, visible with the azure cli command `azure account show`. clientIdstring Azure client id, also called app id. Visible for a given application using the azure cli command `azure ad app show`. subscriptionIds Array of string Subscription IDs to resolve names for. string subscriptionIdAutoDiscoveryboolean Use subscription auto discovery. esxResolvers Array of object Resolvers to resolve VMware vSphere machines by querying the vCenter. object namestring Identifier name. Has no functional effect. updateIntervalinteger How often will the resolver poll the server. In seconds. Default60 hostnamestring Hostname of the vCenter. usernamestring Username with admin access to the vCenter. gcpResolvers Array of object Resolvers to resolve GCP machine by querying Google web services. object namestring Identifier name. Has no functional effect. updateIntervalinteger How often will the resolver poll the server. In seconds. Default60 projectFilterstring GCP project filter. instanceFilterstring GCP instance filter. forwardingRulesFilterstring GCP forwarding rules filter. illumioResolvers Array of object Resolvers to resolve names by querying Appgate Illumio Resolver. object namestring Identifier name. Has no functional effect. updateIntervalinteger How often will the resolver poll the server. In seconds. Default60 orgIdstring Organization ID of the Illumio Resolver. hostnamestring Hostname of the Illumio Resolver. portinteger Port number of the Illumio Resolver. usernamestring Username with access to the Illumio Resolver. dnsForwardingobject DNS Forwarding feature. Always enabled and will be filled if there is no object is passed. siteIpv4string DNS Forwarder Site IPv4 address. Example100.110.0.0 siteIpv6string DNS Forwarder Site IPv6 address. Example2001:db8:0:0:0:ff00:42:8329 dnsServers Array of string DNS Servers to use for resolving endpoints. Leave it empty to use the Gateways' own DNS configuration. Example[ "172.17.18.19", "192.100.111.31" ]string allowDestinations Array of object A list of subnets to allow access. object addressstring IP address Example0.0.0.0 netmaskinteger netmask Example32 defaultTtlSecondsinteger Deprecated Deprecated as of 6.4. This will apply whenever Gateway gets a DNS response which has no TTL set. Default300 matchDomains Array of string The match domains to use for automatic Client DNS configuration. string Examplecompany.com autoClientDnsboolean This will configure Client machines' DNS according to this forwarder if the Client connects to this Site. statusstring Health status of the Site. Depends on the status of the Appliances in this Site. Valid values[ "healthy", "warning", "unhealthy", "noActiveGateways", "n/a" ] sessionCountsobject (SessionCounts) Session counts by connection type. directinteger Number of direct sessions. Example100 directViaNattinteger Number of direct sessions via NAT-T. Example20 relayedinteger Number of relayed sessions. Example50 401 Token error. Login again. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 403 Insufficient permissions to access this resource. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 406 Invalid 'Accept' header. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 500 Unexpected server side error. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details.